# www/longboard - The NetBSD Packages Collection

Longboard: The easy way to surf

    Longboard: The easy way to surf*.

    Features:
    -provide a request body on the command line
    -options: h1, curl and hyper for the surf* http backend
    -provide a file system path to a file to use as the request body

    *surf is a fast and friendly HTTP client framework for async Rust, it's
    completely modular, and built directly for async/await.

- Source version: `longboard-0.0.7nb1`
- Maintainer: pkgsrc-users AT NetBSD.org
- Website: https://github.com/jbr/longboard/
- License: apache-2.0
- Package history: cvs, hg, git

## Build dependencies

lang/rust pkgtools/mktools pkgtools/cwrappers

## Runtime dependencies

(none)

## Binary packages

OS | Architecture | Version
--- | --- | ---
NetBSD 8.0 | x86_64 | longboard-0.0.7.tgz
NetBSD 9.0 | aarch64 | longboard-0.0.7.tgz
NetBSD 9.0 | aarch64 | longboard-0.0.7.tgz
NetBSD 9.0 | aarch64 | longboard-0.0.7.tgz
NetBSD 9.0 | x86_64 | longboard-0.0.7.tgz
NetBSD 9.0 | x86_64 | longboard-0.0.7.tgz
NetBSD 9.0 | x86_64 | longboard-0.0.7.tgz
NetBSD 9.3 | x86_64 | longboard-0.0.7.tgz
NetBSD 9.3 | x86_64 | longboard-0.0.7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

## Available build options

(none)

## Known vulnerabilities

(no vulnerabilities known)

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.

Problem reports, updates or suggestions for this package should be reported with send-pr.